var AccountId=0;
$(function() {
	//localStorage.removeItem('$users');
	var users = localStorage.getItem('$users');
	if(users!=null)
	{
		users=JSON.parse(users);
		if(users.id)
		{
			AccountId=users.id;
		}
	}
//	AccountId=0;
//	commEle = {
//		AccountId:AccountId 
//	};
	//取消浏览器的所有事件，使得active的样式在手机上正常生效
	document.addEventListener('touchstart', function() {
		return false;
	}, true);
	// 禁止选择
	document.oncontextmenu = function() {
		return false;
	};
});
//計算GUID 第一個參數是位數  第二個是進制
function uuid(len, radix) {
    var chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split('');
    var uuid = [], i;
    radix = radix || chars.length;
 
    if (len) {
      // Compact form
      for (i = 0; i < len; i++) uuid[i] = chars[0 | Math.random()*radix];
    } else {
      // rfc4122, version 4 form
      var r;
 
      // rfc4122 requires these characters
      uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
      uuid[14] = '4';
 
      // Fill in random data.  At i==19 set the high bits of clock sequence as
      // per rfc4122, sec. 4.1.5
      for (i = 0; i < 36; i++) {
        if (!uuid[i]) {
          r = 0 | Math.random()*16;
          uuid[i] = chars[(i == 19) ? (r & 0x3) | 0x8 : r];
        }
      }
    }
 
    return uuid.join('').toLowerCase();
}
String.prototype.replaceAll = function(s1,s2){
　　return this.replace(new RegExp(s1,"gm"),s2);
　　}
//过滤所有特殊字符
function stripscript(s) {
    var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\]<>/?~！@#￥……&*（）&mdash;—|{}【】‘；：”“'。，、？]")
        var rs = "";
      
    for (var i = 0; i < s.length; i++) {
        rs = rs + s.substr(i, 1).replace(pattern, '');
    }
    return rs;
}

parseUrlQuery = function(url) {
	var query = {},
		i, params, param;
	if (url.indexOf('?') >= 0) url = url.split('?')[1];
	else return query;
	params = url.split('&');
	for (i = 0; i < params.length; i++) {
		param = params[i].split('=');
		query[param[0]] = param[1];
	}
	return query;
}

function p(s) {
	return s < 10 ? '0' + s : s;
}
//创建、格式化时间函数
var younger_time = function(time) {
	var datas = time.split('-');
	var year = datas[0];
	var month = datas[1];
	var day = datas[2];
	//格式化时间
	var str = year + '-' + p(month) + '-' + day;
	//写入时间格式为 xxxx-xx-xx
	return str;
}

String.prototype.format = function(args) {
	var result = this;
	if (arguments.length > 0) {
		if (arguments.length == 1 && typeof(args) == "object") {
			for (var key in args) {
				if (args[key] != undefined) {
					var reg = new RegExp("({" + key + "})", "g");
					result = result.replace(reg, args[key]);
				}
			}
		} else {
			for (var i = 0; i < arguments.length; i++) {
				if (arguments[i] != undefined) {　　　　　　　　　　　　
					var reg = new RegExp("({)" + i + "(})", "g");
					result = result.replace(reg, arguments[i]);
				}
			}
		}
	}
	return result;
}

//千分位
String.prototype.addKannma = function() {
	var number = this.toString();
	var num = this + "";
	num = num.replace(new RegExp(",", "g"), "");
	//判断是否为0
	if (/^0{1}.*0*$/.test(num)) {
		return num;
	}
	// 正负号处理
	var symble = "";
	if (/^([-+]).*$/.test(num)) {
		symble = num.replace(/^([-+]).*$/, "$1");
		num = num.replace(/^([-+])(.*)$/, "$2");
	}
	if (/^[0-9]+(\.[0-9]+)?$/.test(num)) {
		var num = num.replace(new RegExp("^[0]+", "g"), "");
		if (/^\./.test(num)) {
			num = "0" + num;
		}
		var decimal = num.replace(/^[0-9]+(\.[0-9]+)?$/, "$1");
		var integer = num.replace(/^([0-9]+)(\.[0-9]+)?$/, "$1");
		var re = /(\d+)(\d{3})/;
		while (re.test(integer)) {
			integer = integer.replace(re, "$1,$2");
		}
		var result = symble + integer + decimal;
		return result;

	} else {
		return number;
	}
};
//清除重复JSON数据
Array.prototype.removeRepeatAttr = function() {
	var tmp = {},
		a = this.slice();
	for (var i = j = 0; i < a.length; i++) {
		if (!tmp[a[i].id]) {
			tmp[a[i].id] = !0;
			j++;
		} else {
			this.splice(j, 1);
		}
	};
}


function ajaxRequest(url, type, datas, callBack, async,error) {
	async = async || true;
	$.ajax({
		url: url,
		async: async,
		type: type,
		data: datas,
		timeout: 10000, //超时时间设置，单位毫秒 
		dataType: "json",
		success: function(data) {
			if (data.State === 1) {
				callBack(data);
			} else if (data.State === -1) {

			} else {
				if(error){
					error(null,data.State,data.Message);
				}
			}
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			if(error){
				error(XMLHttpRequest, textStatus, errorThrown);
			}
		}
	}); 
}

//获取当前时间yyyy-MM-dd
function getNowFormatDate() {
	var date = new Date();
	var seperator1 = "-";
	var seperator2 = ":";
	var year = date.getFullYear();
	var month = date.getMonth() + 1;
	var strDate = date.getDate();
	if (month >= 1 && month <= 9) {
		month = "0" + month;
	}
	if (strDate >= 0 && strDate <= 9) {
		strDate = "0" + strDate;
	}
	var currentdate = year + seperator1 + month + seperator1 + strDate;

	return currentdate;
}

var preate = {};
var as = 'pop-in'; // 默认窗口动画
// 处理点击事件
var _openw = null;

function clicked(id, a, viewIds, s, onLoaded) {
	var viewId = id;
	if(viewIds) {
		viewId = viewIds;
	} else {
		if(id.split('?').length > 1) {
			viewId = id.split('?')[0];
		}
	}
//	if(_openw) {
//		return;
//	}
	a || (a = as);
	_openw = preate[id];

//	if(_openw) {
//		_openw.showded = true;
//		_openw.show(a, null, function() {
//			_openw = null; //避免快速点击打开多个页面
//		});
//	} else {
		_openw = plus.webview.create(id, viewId, {
			scrollIndicator: 'none',
			scalable: false,
			popGesture: 'hide',
			softinputMode: "adjustResize"
		}, {
			preate: true
		});
		preate[id] = _openw;
		_openw.addEventListener('loaded', function() { //叶面加载完成后才显示
			//	_openw.showded = true;
			s || _openw.show(a, null, function() {
				_openw = null; //避免快速点击打开多个页面
			});
			s && (_openw = null); //避免s模式下变量无法重置
			if(onLoaded) {
				onLoaded();
			}
		}, false);
		_openw.addEventListener('hide', function() {
			_openw && (_openw.showded = true);
			_openw = null;
		}, false);
		_openw.addEventListener('close', function() { //页面关闭后可再次打开
			_openw = null;
			preate[id] && (preate[id] = null); //兼容窗口的关闭
		}, false);
	//}
}

// 对Date的扩展，将 Date 转化为指定格式的String 
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符， 
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) 
// 例子： 
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423 
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18 
Date.prototype.Format = function(fmt) 
{ //author: meizz 
  var o = { 
    "M+" : this.getMonth()+1,                 //月份 
    "d+" : this.getDate(),                    //日 
    "h+" : this.getHours(),                   //小时 
    "m+" : this.getMinutes(),                 //分 
    "s+" : this.getSeconds(),                 //秒 
    "q+" : Math.floor((this.getMonth()+3)/3), //季度 
    "S"  : this.getMilliseconds()             //毫秒 
  }; 
  if(/(y+)/.test(fmt)) 
    fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length)); 
  for(var k in o) 
    if(new RegExp("("+ k +")").test(fmt)) 
  fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length))); 
  return fmt; 
}

//统计
//配置API地址以及appKey
var setting={
	//postUrl: 'http://192.168.1.159:8888/api/', 
	postUrl:'http://202.104.151.180:9994/api/',
	appKey: 'F901DF634A844A21B74E37FC72AD29F5'
}
var tongji = function(typ) {
	var device = plus.device.uuid;
	var users = localStorage.getItem('$users');
	var acount = 0;
	var url = "" + setting.postUrl + "Account/statistics_insert";
	if(users != null) {
		users = JSON.parse(users);
		if(users.id) {
			acount = users.id;
		}
	}
	var datas = {
		device: device,
		typ: typ,
		AccountId: acount
	}
	ajaxRequest(url, "post", datas, function(data) {

	});
}