
(function(exports){
	var KeyBoard = function(input, options){
		var body = document.getElementsByTagName('body')[0];
		var DIV_ID = options && options.divId || '__w_l_h_v_c_z_e_r_o_divid';
		
		if(document.getElementById(DIV_ID)){
			body.removeChild(document.getElementById(DIV_ID));
		}
		this.input = input;
		this.el = document.createElement('div');
		
		var self = this;
		var zIndex = options && options.zIndex || 1000;
		var width = options && options.width || '100%';
		var height = options && options.height || '260px';
		var fontSize = options && options.fontSize || '25px';
		var backgroundColor = options && options.backgroundColor || '#fff';
		var TABLE_ID = options && options.table_id || 'table_0909099';
		var mobile = typeof orientation !== 'undefined';
		
		this.el.id = DIV_ID;
		this.el.style.position = 'absolute';
		this.el.style.left = 0;
		this.el.style.right = 0;
		this.el.style.bottom = 0;
		this.el.style.zIndex = zIndex;
		this.el.style.width = width;
		this.el.style.height = height;
		this.el.style.backgroundColor = backgroundColor;
		//样式
		var cssStr = '<style type="text/css">';
		cssStr += '#' + TABLE_ID + '{text-align:center;width:100%;height:220px;border-top:1px solid #CECDCE;background-color:#FFF;}';
		cssStr += '#' + TABLE_ID + ' td{width:33%;border:1px solid #ddd;border-right:0;border-top:0;font-size:20px;line-height:50px;height:50px;}';
		//手机样式
		//if(!mobile){
			//cssStr += '#' + TABLE_ID + ' td:hover{background-color:#1FB9FF;color:#FFF;}';
		//}
		cssStr += '</style>';
		
		//Button
		var btnStr = '<div style="width:60px;height:28px;background-color:#1FB9FF;';
		btnStr += 'float:right;margin-right:5px;text-align:center;color:#fff;';
		btnStr += 'line-height:28px;border-radius:3px;margin-bottom:5px;cursor:pointer;">保存</div>';
		var btnStr2 = '<div style="width:60px;height:28px;background-color:#D3D9DF;color:#060606;';
		btnStr2 += 'float:left;margin-left:5px;text-align:center;color:#fff;';
		btnStr2 += 'line-height:28px;border-radius:3px;margin-bottom:5px;cursor:pointer;">取消</div>';
		//table
		var tableStr = '<table id="' + TABLE_ID + '" border="0" cellspacing="0" cellpadding="0">';
			tableStr += '<tr><td>1</td><td>2</td><td>3</td></tr>';
			tableStr += '<tr><td>4</td><td>5</td><td>6</td></tr>';
			tableStr += '<tr><td>7</td><td>8</td><td>9</td></tr>';
			tableStr += '<tr><td style="background-color:#D3D9DF;">.</td><td>0</td>';
			tableStr += '<td style="background-color:#D3D9DF;">×</td></tr>';
			tableStr += '</table>';
			this.el.innerHTML = cssStr + btnStr + btnStr2 + tableStr;
		
			function addEvent(e) {
			  
			var ev = e || window.event;
			var clickEl = ev.element || ev.target;
			var value = clickEl.textContent || clickEl.innerText;
			switch (value)
			{
			    case ".":
			        if (self.input&&self.input.value.indexOf(".")==-1)
			                self.input.value += value;
			        break;
			    case "取消":
			        body.removeChild(self.el);
			        break;
			    case "保存":
			        addBooks();
			         body.removeChild(self.el);
			        break;
			    case "×":
			        var num = self.input.value;
			        if (num) {
			            var newNum = num.substr(0, num.length - 1);
			            self.input.value = newNum;
			            addC(self.input);
			        }
			        break;
			    default:
			        if (self.input) {
			            var reg = /^\d{0,8}\.{0,1}(\d{1})?$/;
			            if(reg.test(self.input.value))
			            {
			            	self.input.value += value;
			            	addC(self.input);
			            }
			       
			        }
			        break;
			}
			//if (clickEl.tagName.toLocaleLowerCase() === 'td' && value !== "×") {
			//	if(self.input){
			//		self.input.value += value;
			//	}
			//} else if (clickEl.tagName.toLocaleLowerCase() === 'div' && value === "取消") {
			//	body.removeChild(self.el);
			//} else if (clickEl.tagName.toLocaleLowerCase() === 'td' && value === "×") {
			//	var num = self.input.value;
			//	if(num){
			//		var newNum = num.substr(0, num.length - 1);
			//		self.input.value = newNum;
			//	}
			//}
			//else if (clickEl.tagName.toLocaleLowerCase() === 'td' && value === ".") {
			//    var num = self.input.value;
			//    if (num) {
			//        var newNum = num.substr(0, num.length - 1);
			//        self.input.value = newNum;
			//    }
			//}
		}
		
		if(mobile){
			this.el.ontouchstart = addEvent;
		}else{
			this.el.onclick = addEvent;
		}
		body.appendChild(this.el);
	}
	
	exports.KeyBoard = KeyBoard;

})(window);


var jsons = [];
var addC = function(obj) {
	var Parent = $("#" + obj.id).attr("Parent");
	var tatolTxt = $("#" + obj.id + "tatol");
		var jso = {
		'id': obj.id,
		'value': obj.value,
		'name':$("#" + obj.id).attr("names"),
		'zf': $("#" + obj.id).data('type'),
		'Parent': Parent,
		'guid': $("#" + obj.id).attr("guid")
	};
	if(obj.value.length==2&&obj.value=="00")
	{
		obj.value=0;
		return false;
	}
	if(obj.value=="")
	{
		tatolTxt.text((parseFloat(tatolTxt.attr('data'))));
		obj.value='';
			if(obj)
		{
		jsons.splice(0, 1);
		}
		return false;
	}
	if(!NumberCheck(obj.value)){
		this.value=$(obj).attr("oldvalue");
		return false;
	};
	$(obj).attr("oldvalue",this.value);
	if(obj.value=='')
	{
		tatolTxt.text((parseFloat(tatolTxt.attr('data'))));
	}else
	{
		tatolTxt.text((parseFloat(tatolTxt.attr('data'))+parseFloat(obj.value)).toString().addKannma());
	}
	jsons.unshift(jso);
	jsons.removeRepeatAttr();
	if(this.value=='')
	{
		jsons.splice(0, 1);
	}
	totleHj(Parent);
	
}