﻿//千分位
String.prototype.addKannma = function() {
	var number = this.toString();
	var num = this + "";
	num = num.replace(new RegExp(",", "g"), "");
	//判断是否为0
	if (/^0{1}.*0*$/.test(num)) {
		return num;
	}
	// 正负号处理
	var symble = "";
	if (/^([-+]).*$/.test(num)) {
		symble = num.replace(/^([-+]).*$/, "$1");
		num = num.replace(/^([-+])(.*)$/, "$2");
	}
	if (/^[0-9]+(\.[0-9]+)?$/.test(num)) {
		var num = num.replace(new RegExp("^[0]+", "g"), "");
		if (/^\./.test(num)) {
			num = "0" + num;
		}
		var decimal = num.replace(/^[0-9]+(\.[0-9]+)?$/, "$1");
		var integer = num.replace(/^([0-9]+)(\.[0-9]+)?$/, "$1");
		var re = /(\d+)(\d{3})/;
		while (re.test(integer)) {
			integer = integer.replace(re, "$1,$2");
		}
		var result = symble + integer + decimal;
		return result;

	} else {
		return number;
	}
};
function Round2(temp) {
	temp = temp.toString();
	if(temp.indexOf(".") > -1) {
		return temp.substring(0, temp.indexOf(".") + 3);
	} else {
		return temp;
	}
}
$(function() {
	$('.mui-tab-item').on('click', function() {
		calculate();
	});

	$("#btnCalculate").click(function() {
		calculate();
	});
});
var setting={
	postUrl: 'http://192.168.1.159:8888/api/', 
	//postUrl:'http://202.104.151.180:9994/api/',
	appKey: 'F901DF634A844A21B74E37FC72AD29F5'
}
var tongji = function(typ) {
	var device = plus.device.uuid;
	var users = localStorage.getItem('$users');
	var acount = 0;
	var url = "" + setting.postUrl + "Account/statistics_insert";
	if(users != null) {
		users = JSON.parse(users);
		if(users.id) {
			acount = users.id;
		}
	}
	var datas = {
		device: device,
		typ: typ,
		AccountId: acount
	}
	ajaxRequest(url, "post", datas, function(data) {

	});
}
function ajaxRequest(url, type, datas, callBack, async,error) {
	async = async || true;
	$.ajax({
		url: url,
		async: async,
		type: type,
		data: datas,
		timeout: 10000, //超时时间设置，单位毫秒 
		dataType: "json",
		success: function(data) {
			if (data.State === 1) {
				callBack(data);
			} else if (data.State === -1) {

			} else {
				if(error){
					error(null,data.State,data.Message);
				}
			}
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			if(error){
				error(XMLHttpRequest, textStatus, errorThrown);
			}
		}
	}); 
}
function calculate() {
	tongji('shouyijisuan');
	var amount = $("#amount"); //获取借款金额	
	var apr = $("#apr"); //获取年利率
	var mons = $("#sy_month"); //获取借款月数
	if(!valid(amount.val(), apr.val(),mons.val())) return;
	$('#shows').parent().show();
	var text = $('.mui-active').text(); //获取下拉框的值
	var principal = parseFloat(amount.val()); //返回一个浮点数
	var interest = parseFloat(apr.val()) / 100 / 12; //每月利率
	var payments = parseInt(mons.val()); //投资期限
	var monthly = (principal + principal * payments * interest) / payments; //每月还款本息

	var newdiv = $("#newdiv");
	var str = "";
	str += "<div class=\"cb-table-row\"><div>收款期数</div><div>收款时间</div><div>应收本金</div><div>应收利息</div></div>";
	if(text == "先息后本") {

		var now = new Date();
		var year = now.getFullYear(); //年
		var month = now.getMonth() + 1; //月
		var day = now.getDate(); //日
		var Interest1 = principal * (parseFloat(apr.val()) / 100 / 12);

		for(var j = 1; j < parseInt(payments); j++) {
			month += 1;
			if(month > 12) {
				year += 1;
				month = month - 12;
			}

			var clock = year + "-";
			if(month < 10) clock += "0";
			clock += month + "-";
			if(day < 10) clock += "0";
			clock += day + "";

			str += "<div class=\"cb-table-row\">"
			str += "<div>" + (j) + "</div>" //收款期数
			str += "<div>" + clock + "</div>"; //还款时间		
			str += "<div>" + "" + "0" + "</div>"; //应收本金
			str += "<div>" + "" + Round2(Interest1) + "</div>"; //利息
			str += "</div>";

			if(j == parseInt(payments) - 1) {

				month += 1;
				if(month > 12) {
					year += 1;
					month = month - 12;
				}

				var clock = year + "-";
				if(month < 10) clock += "0";
				clock += month + "-";
				if(day < 10) clock += "0";
				clock += day + "";

				str += "<div class=\"cb-table-row\">"
				str += "<div>" + parseInt(payments) + "</div>"; //还款期数
				str += "<div>" + clock + "</div>"; //还款时间		
				str += "<div>" + "" + Round2(principal) + "</div>"; //应还本金
				str += "<div>" + "" + Round2(Interest1) + "</div>"; //利息
				str += "</div>";
			}

		}

		if(parseInt(payments) == 1) {
			month += 1;
			if(month > 12) {
				year += 1;
				month = month - 12;
			}

			var clock = year + "-";
			if(month < 10) clock += "0";
			clock += month + "-";
			if(day < 10) clock += "0";
			clock += day + "";
			str += "<div class=\"cb-table-row\">"
			str += "<div>" + parseInt(payments) + "</div>" //还款期数
			str += "<div>" + clock + "</div>"; //还款时间	
			str += "<div>" + "" + Round2(principal.toFixed(2)) + "</div>"; //应还本金
			str += "<div>" + "" + Round2(Interest1.toFixed(2)) + "</div>"; //利息
			str += "</div>";
		}
		$('#span1').html("" + Round2((principal * interest * payments) + principal).toString().addKannma()); //还款本息总额
		$('#span2').html("" + Round2(principal * interest * payments).toString().addKannma()); //总利息   
		$('#span3').html("" + Round2(Interest1).toString().addKannma()); //每月收款
		$('#mysk').show();
		newdiv.html(str);

	}

	if(text == "等额本息") {

		if(!valid(amount.val(), apr.val(),mons.val())) return;

		var monthRate = interest;
		var tempAmount = 0.00,
			tempInterestAmount = 0.00,
			tempAmountAndInterest = 0.00,
			totalInterest = 0.00,
			totalAmount = 0.00;
		interestAmount = 0.00;
		var index = 1;
		interestAmount = GetInterest(principal, payments, apr.val());

		var now = new Date();
		var year = now.getFullYear(); //年
		var month = now.getMonth() + 1; //月
		var day = now.getDate(); //日
		var Interest1 = principal * (parseFloat(apr.val()) / 100 / 12);

		while(index <= payments) {
			tempAmount = Number(principal * monthRate * Math.pow(1 + monthRate, index - 1) / (Math.pow(1 + monthRate, payments) - 1)).toFixed(4);
			tempAmountAndInterest = Number(principal * monthRate * Math.pow(1 + monthRate, payments) / (Math.pow(1 + monthRate, payments) - 1)).toFixed(4);
			tempInterestAmount = Number(tempAmountAndInterest - tempAmount).toFixed(4);
			if(index == payments) {
				tempAmount = Number(principal) - Number(totalAmount);
				tempInterestAmount = Number(tempAmountAndInterest - tempAmount);
			}
			totalInterest += Number(tempInterestAmount);
			totalAmount += Number(tempAmount);

			month += 1;
			if(month > 12) {
				year += 1;
				month = month - 12;
			}

			var clock = year + "-";
			if(month < 10) clock += "0";
			clock += month + "-";
			if(day < 10) clock += "0";
			clock += day + "";

			str += "<div class=\"cb-table-row\">"
			str += "<div>" + (index) + "</div>" //还款期数
			str += "<div>" + clock + "</div>"; //还款时间	
			str += "<div>" + "" + (Number(tempAmount)).toFixed(2) + "</div>"; //应还本金
			str += "<div>" + "" + (Number(tempInterestAmount)).toFixed(2) + "</div>"; //利息
			str += "</div>";

			index++;
		}
		interestAmount = ((Number(totalInterest) * 100) / 100).toFixed(2); //总利息
		newdiv.html(str); //将表格的内容填充到div中
		$('#span1').html("" + (Number(interestAmount) + principal).toString().addKannma()); //还款本息总额
		$('#span2').html("" + interestAmount.toString().toString().addKannma()); //总利息   
		$('#span3').html("" + (Number(tempAmountAndInterest)).toString().addKannma()); //每月收款
		$('#mysk').show();
	}
if (text == "等额本金") {

		if(!valid(amount.val(), apr.val(),mons.val())) return;

		var monthRate = interest;
		var tempAmount = 0.00, tempInterestAmount = 0.00, tempAmountAndInterest = 0.00, totalInterest = 0.00, totalAmount = 0.00;
		interestAmount = 0.00;
		var index = 1;
		interestAmount = 0.00;
		var now = new Date();
		var year = now.getFullYear(); //年
		var month = now.getMonth() + 1; //月
		var day = now.getDate(); //日
		var Interest1 = principal * (parseFloat(apr.val()) / 100 / 12);

		function debj(principal, rate, duration) {
			rate = parseFloat(rate) * 0.01 / 12; //月利率
			var yhk = principal / duration; //月还款
			var y = 0;
			for(var i = 0; i < duration; i++) {
				var sy = ((parseFloat(principal) - parseFloat(yhk) * i) * parseFloat(rate));

				month += 1;
				if(month > 12) {
					year += 1;
					month = month - 12;
				}

				var clock = year + "-";
				if(month < 10) clock += "0";
				clock += month + "-";
				if(day < 10) clock += "0";
				clock += day + "";

				str += "<div class=\"cb-table-row\">"
				str += "<div class=\"cell\">" + (i + 1) + "</div>" //还款期数
				str += "<div class=\"cell\">" + clock + "</div>"; //还款时间
				str += "<div class=\"cell\">"+ (yhk).toFixed(2) + "</div>"; //应还本金
				str += "<div class=\"cell\">" + (sy).toFixed(2) + "</div>"; //利息
				str += "</div>";

				y += sy;
			}
			
			
			str += "</div>";
			interestAmount = (y).toFixed(2); //总利息
			newdiv.html(str); //将表格的内容填充到div中
			span1.innerHTML =  Round2((Number(interestAmount) + Number(principal))).toString().addKannma(); //还款本息总额
			span2.innerHTML =  Round2(interestAmount).toString().addKannma(); //总利息   
			//span3.innerHTML = "￥" + Round2(Number(tempAmountAndInterest).toFixed(2)); //每月收款
		
			
			$('#mysk').hide();
			
			//return y;
		}
		debj(amount.val(), apr.val(), mons.val())

	}
}

function GetInterest(amount, deadline, interestRate) {
	var interestAmount = 0.00;
	if(amount == "" || amount == "0" || deadline == "" || deadline == "0" || interestRate == "" || interestRate == "0")
		return interestAmount;

	var monthRate = interestRate * 0.010000000000 / 18.00;
	var tempAmount = 0.00,
		tempInterestAmount = 0.00,
		tempAmountAndInterest = 0.00,
		totalInterest = 0.00,
		totalAmount = 0.00;
	var index = 1;
	while(index <= deadline) {
		tempAmount = Number(amount * monthRate * Math.pow(1 + monthRate, index - 1) / (Math.pow(1 + monthRate, deadline) - 1)).toFixed(4);
		tempAmountAndInterest = Number(amount * monthRate * Math.pow(1 + monthRate, deadline) / (Math.pow(1 + monthRate, deadline) - 1)).toFixed(4);
		tempInterestAmount = Number(tempAmountAndInterest - tempAmount).toFixed(4);
		if(index == deadline) {
			tempAmount = (Number(amount) - Number(totalAmount));
			tempInterestAmount = Number(tempAmountAndInterest - tempAmount);
		}
		totalInterest += Number(tempInterestAmount);
		totalAmount += Number(tempAmount);
		index++;
	}
	interestAmount = Number(((Number(totalInterest) * 100) / 100).toFixed(2));

	return interestAmount;
}

//验证
function valid(amount, apr,mons) {
	if(!mons)
	{
		plus.nativeUI.toast('请选择投资期限');
		return false;
	}
	if(!/^[1-9]\d*$/.test(amount)) {
		plus.nativeUI.toast('请输入投资金额，只能大于0的整数');
		return false;	
	} else if(parseFloat(amount) < 50) {
		plus.nativeUI.toast('请输入投资金额，只能大于50的整数');
		return false;
	}
	if(!/^(?!0\d|[0.]+$|0$)\d+(\.\d+)?$/.test(apr)) {
		plus.nativeUI.toast("请输入年化利率，只能大于0的数字");
		return false;
	}

	return true;
}